.TH beta  2 "Nov 2001" "Stixbox" "Stixbox Function"
.SH NAME
beta - Beta function
.SH CALLING SEQUENCE
.nf
y = beta(z,w)
y = beta(x,a,b)
.fi
.SH PARAMETERS 
.TP 11
x,a,b
: The elements of x must be in the interval [0,1], a and b must be scalars.
.SH DESCRIPTION
\fVy = beta(z,w)\fR: the beta function 
.nf
    beta(z,w)= Integral from 0 to 1 of t.^(z-1) .* (1-t).^(w-1) dt.
.fi 
.LP
\fVy = beta(x,a,b)\fR: the incomplete beta function 
.nf
    beta(x,a,b)= (1/beta(a,b))* Int from 0 to x of t.^(z-1) .* (1-t).^(w-1) dt.
.fi 
\fVbeta(x,a,b)\fR is also \fVpbeta(x,a,b)\fR. 
.SH SEE ALSO 
betainc, pbeta 

