.TH ciboot 2 "Nov 2001" "Stixbox" "Stixbox Function"
.SH NAME
ciboot - Various bootstrap confidence intervals
.SH CALLING SEQUENCE
.nf
ci = ciboot(x,'T',method,C,B)
.fi
.SH DESCRIPTION
Compute a bootstrap confidence interval for T(X) with level C. Default
for C is 0.90. Number of resamples is B, with default that is
different for different methods. The method is 
.TP
1 
: Normal approximation (std is bootstrap).
.TP
2
: Simple bootstrap principle (bad, don't use).
.TP 
3
: Studentized, std is computed via jackknife (If T is
'mean' this done the fast way via the routine TEST1B).
.TP
4
: Studentized, std is 30 samples' bootstrap.
.TP
5
:  Efron's percentile method.
.TP
6
: Efron's percentile method with bias correction (BC).
.LP
Default method is 5. Often T(X) is a number but it may also
be a vector or a even a matrix. Every row of the result ci
is of the form
.nf 	
	      [LeftLimit, PointEstimate, RightLimit]
.fi
and the corresponding element of T(X) is found by noting
that t = T(X); t = t(:); is used in the routine.
.SH EXAMPLE
.nf
X = rand(13,2), C = cov(X), ci = ciboot(X,'cov')
.fi
.SH SEE ALSO 
stdboot, stdjack 
