.TH ciquant 2 "Nov 2001" "Stixbox" "Stixbox Function"
.SH NAME
ciquant - Nonparametric confidence interval for quantile
.SH CALLING SEQUENCE
.nf
ci = ciquant(x,p,C);
.fi
.SH PARAMETERS 
.TP 11
C 
:  confidence level for the interval (default 0.95)
.TP 
p
:  a probability defining a quantile.
.TP
x
: a sample. if x is a matrix, the procedure is colonwise.
.SH DESCRIPTION
Nonparametric confidence interval for quantile. 
The returned value is the interval ci which is of the form 
.nf
                   [LeftLimit, PointEstimate, RightLimit]'. 
.ni 
The interval is constructed conservatively in both ends, 
that is \fVP(q<LeftLimit) <= C/2\fR and similarly for the upper limit.
.SH SEE ALSO 
quantile

