.TH covboot 2 "Nov 2001" "Stixbox" "Stixbox Function"
.SH NAME
covboot - Bootstrap estimate of the variance of a parameter estimate
.SH CALLING SEQUENCE
.nf
C = covboot(X,'T' [,N,arg1,....,argn])
.fi
.SH PARAMETERS 
.TP
X
: matrix or vector. 
.TP 
'T'
: string giving a function name.
.TP 
N
: sets the number of resamples (default is 200)
.TP
arg1,...,argn
: extra parameters given to \fVT\fR. 
.SH DESCRIPTION
Computes the \fVT(X)\fR (in fact \fVT(X,arg1,...,argn)\fR many times
using resampled data and uses the result to compute an estimate of the
variance of \fVT(X)\fR 
assuming that \fVX\fR is a representative sample from the
underlying distribution of \fVX\fR. If T is multidimensional then the
covariance matrix is estimated. An optional third input argument sets
the number of resamples, default is 200. 
.SH SEE ALSO 
cov, covjack, ciboot




