.TH covjack 2 "Nov 2001" "Stixbox" "Stixbox Function"
.SH NAME
covjack - Jackknife estimate of the variance of a parameter estimate
.SH CALLING SEQUENCE
.nf
C = covjack(X,'T' [,arg1,....,argn])
.fi
.SH PARAMETERS 
.TP
X
: matrix or vector. 
.TP 
'T'
: string giving a function name.
.TP
arg1,...,argn
: extra parameters given to \fVT\fR. 
.SH DESCRIPTION
The function computes T(X) with one observation removed at a
time and uses the result to compute an estimate of the variance of
T(X) assuming that X is a representative sample from 
the underlying distribution of X. If T is multidimensional then
the covariance matrix is estimated. Note that the jackknife
method does not work for some functions T that are not smooth
enough, the median being one example.
.SH EXAMPLES 
.nf 
X=rand(100,1,'u');
covjack(X,'mean')
.fi 
