.TH dgamma 2 "Nov 2001" "Stixbox" "Stixbox Function"
.SH NAME
dgamma - The gamma density function
.SH CALLING SEQUENCE
.nf
f = dgamma(x,a)
.fi
.SH PARAMETERS 
.TP
x
: real
.TP
a
: positive real	(a can be a scalar or matrix with common size with x)
.TP
f
: gamma density function with parameter a at the values of x : 
.SH DESCRIPTION
The gamma density function. 
.nf 
   f(x)=x.^(a-1)exp(-x)./Gamma(a)1_{x>=0}
.fi
.SH EXAMPLE 
.nf
x=0:0.1:10; 
y=dgamma(x,3);
plot(x,y)
.fi 
