.TH diff  2 "Nov 2001" "Stixbox" "Stixbox Function"
.SH NAME
diff - Differentiate or difference
.SH CALLING SEQUENCE
.nf
d = diff(x [,n])
.fi
.SH PARAMETERS 
.TP 11
x 
: 
.SH DESCRIPTION
Differentiate or difference, diff computes differences.
.TP 
-
for a vector X, is [X(2)-X(1)  X(3)-X(2) ... X(n)-X(n-1)].
.TP
-
for a matrix X, is the matrix of column differences, [X(2:n,:) -
X(1:n-1,:)].
.LP 
diff(X,n) is the n-th difference function.
.SH EXAMPLES 
.nf 
   h = .001; x = 0:h:pi;
   diff(sin(x.^2))/h // is an approximation to 2*cos(x.^2).*x
   diff((1:10).^2) // is 3:2:19
.fi 
