.TH dnorm 2 "Nov 2001" "Stixbox" "Stixbox Function"
.SH NAME
dnorm - The normal density function
.SH CALLING SEQUENCE
.nf
y = dnorm(x [,m,s])
.fi
.SH PARAMETERS 
.TP
x
:	real vector or matrix
.TP
m
:	mean (default value is \fVzeros(x)\fR). \fVm\fR is a scalar 
or a matrix with the same size as \fVx\fR. 
.TP
s
: 	standard deviation (default value is \fVones(x)\fR). \fVs\fR
is a scalar or a matrix with the same size as \fVx\fR.
.TP
y
:  	normal density function with mean \fVm\fR and standard deviation \fVs\fR,
at the values of x :
.SH DESCRIPTION
The normal density function. 
.nf
 y=exp(-0.5*((x-m)./s)^2)./(sqrt(2*pi).*s)
.fi 
.SH EXAMPLES 
.nf
x = -5:0.1:5 ;
y = dnorm(x);
plot(x,y);
.fi 