.TH lsselect 2 "Nov 2001" "Stixbox" "Stixbox Function"
.SH NAME
lsselect - Select a predictor subset for regression
.SH CALLING SEQUENCE
.nf
[Q, I, B, BB] = lsselect(y,x,crit,how,pmax,level)
.fi
.SH PARAMETERS 
.TP
y
: dependant variate (column vector)
.TP
x
:    regressor variates
.TP
crit
: selection criterion (string):
.RS 
.TP
'HT'
:   Hypothesis Test (default level = 0.05)
.TP
'AIC'
:  Akaike's Information Criterion 
.TP
'BIC'
:  Bayesian Information Criterion
.TP
'CMV'
:  Cross Model Validation (inner criterion RSS)
.RE 
.TP
how
:    (string)  choses between :
.RS 
.TP
'AS'
:   All Subsets
.TP
'FI'
:  Forward Inclusion
.TP
'BE'
:   Backward Elimination
.RE 
.TP
pmax
: limits the number of included parameters (scalar).
.TP
level
: optional input argument, p-value reference used for inclusion or deletion.
.TP
Q
: criterion as a function of the number of parameters; might be
interpreted as an estimate of the prediction standard deviation. For
the method 'HT', Q is instead the successive p-values for inclusion or
elimination. 
.TP
I
: index numbers of the included columns.
.TP
B
: vector of coefficients, ie the suggested model is Y = X*B. 
.TP
BB
: Column p of BB is the best B of parameter size p. 
.SH DESCRIPTION
Selects a good subset of regressors in a multiple linear regression
model. 

The last column of the prediction matrix x must be an intercept
column, ie all elements are ones. This column is never excluded in the
search for a good model. If it is not present it is added.

This function is not highly optimized for speed but rather for
flexibility. It would be faster if 'all subsets' were in a  separate
routine and 'forward' and 'backward' were in another routine,
especially for CMV. 
.SH SEE ALSO 
lsfit, linreg 
