.TH polyval 2 "Nov 2001" "Stixbox" "Stixbox Function"
.SH NAME
polyval - Polynomial evaluation
.SH CALLING SEQUENCE
.nf
y = polyval(p,x,s)
[y,delta] = polyval(p,x,s)
.fi
.SH PARAMETERS 
.TP 11
p
: vector. 
.TP
x
: scalar, vector or matrix. 
.TP
s
: see polyfit (second returned argument)
.SH DESCRIPTION
Polynomial evaluation. 
If p is a vector of length d+1 whose elements are the coefficients of
a polynomial, then y = polyval(p,x) is the value of the polynomial,
defined by its 
coefficients p, evaluated at x.
.nf
 y = p(1)*x^d + p(2)*x^(d-1) + ... + p(d)*x + p(d+1)
.fi 
.LP
if x is a matrix or vector, the polynomial is evaluated at all
points in x.
.LP
[y,delta] = polyval(p,x,s) uses the optional output generated by
polyfit to generate error estimates, y +/- delta.

