.TH qnorm 2 "Nov 2001" "Stixbox" "Stixbox Function"
.SH NAME
qnorm - The normal inverse distribution function
.SH CALLING SEQUENCE
.nf
x = qnorm(p [,m,s])
.fi
.SH PARAMETERS 
.TP
p
: probability
.TP
m
: mean (default value is 0)
.TP
s
: standard deviation (default value is 1) (q,m,s can be scalar or
matrix with common size) 
.TP
q
: real such that Prob(X<=q)=p where X is a normal variable with mean m
and standard deviation s
.SH DESCRIPTION
The normal inverse distribution function. 
.SH EXAMPLES 
.nf
x = -5:0.1:5 ;
y = dnorm(x);
plot(x,y);
p1=0.7;
q1= qnorm(p1);
plot2d([q1;q1],[0;dnorm(q1)],1,"000")
xstring(-4,0.20,'P(X<'+string(q1)+')='+ string(p1));
.fi
.SH SEE ALSO 
cdfnor


